Package htsjdk.variant.vcf

# Enum Class VCFHeaderLineType

java.lang.Object
java.lang.Enum<VCFHeaderLineType>
htsjdk.variant.vcf.VCFHeaderLineType

All Implemented Interfaces:
  `Serializable`, `Comparable<VCFHeaderLineType>`, `Constable`

public enum VCFHeaderLineType extends Enum<VCFHeaderLineType>
the type encodings we use for fields in VCF header lines

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Character`
`Flag`
`Float`
`Integer`
`String`

## Method Summary

Modifier and Type
Method
Description
`static VCFHeaderLineType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VCFHeaderLineType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Integer

public static final VCFHeaderLineType Integer

### Float

public static final VCFHeaderLineType Float

### String

public static final VCFHeaderLineType String

### Character

public static final VCFHeaderLineType Character

### Flag

public static final VCFHeaderLineType Flag

## Method Details

### values

public static VCFHeaderLineType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VCFHeaderLineType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null